<template>
    <ion-card>
      <ion-card-header>
        <ion-card-title>{{ stats.count }}</ion-card-title>
        <ion-card-subtitle>{{ stats.ttag }}</ion-card-subtitle>
      </ion-card-header>
    </ion-card>
</template>
  
  <script lang="ts">
    import { IonCard, IonCardHeader, IonCardSubtitle, IonCardTitle } from '@ionic/vue';
    import { defineComponent } from 'vue';
  
    import { StmService } from '../../spacedao';
  
    export default defineComponent({
        components: {
            IonCard,
            IonCardHeader,
            IonCardSubtitle,
            IonCardTitle,
        },
        props: {
            stat : String
        },
        data(){
          return {
            api: {
              "rso": StmService.statsRsoAppStmV1StatsRsoGet,
              "cdm": StmService.statsCdmAppStmV1StatsCdmGet,
              "supplier": StmService.statsSuppliersAppStmV1StatsSuppliersGet
            },
            stats: {
              count: 0,
              ttag: ""
            }
          }
        },
        mounted(){
          // console.log("inspecting the api");    
          this.api[this.stat]()
            .then((response) => {
              this.stats=response;
            })

        },
    });
  
  </script>
  
  <style scoped>
    /* iOS places the subtitle above the title */
    ion-card-header.ios {
      display: flex;
      flex-flow: column-reverse;
    }
  </style>